use bridge_matrix::MatrixTask;
use linkmap::Linkmap;
use matrix_sdk::ruma::user_id;
use supervisor::Task;
use bridge_irc::{IrcConfig, IrcTask};

use crate::supervisor::run_tasks;

mod supervisor;
mod message;
mod linkmap;

mod bridge_irc;
mod bridge_matrix;

#[tokio::main]
async fn main() {
	env_logger::init();

	let tasks: Vec<Box<dyn Task>> = vec![
		// tasks withheld for privacy
	];
	run_tasks(tasks).await;
}
